Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class DistributedUpdateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.DistributedUpdateException

Direct Known Subclasses:
  DistributedAttributeUpdateException, DistributedOperationUpdateException

public abstract class DistributedUpdateException
extends weblogic.utils.NestedException

This exception is the super-exception for exception that occured while propagating an updated from the Admin Server to a specific Managed Server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DistributedUpdateException(javax.management.ObjectName remoteNameArg, javax.management.MBeanServer remoteMBeanServerArg, java.lang.Exception exceptionArg)` Constructor for the DistributedUpdateException object

Method Summary
`javax.management.MBeanServer` | `getRemoteMBeanServer()` Return the MBeanServer on the Config MBean on which the update failed.
`javax.management.ObjectName` | `getRemoteName()` Return the ObjectName of the Config MBean on which the update failed.
`void` | `printExceptionInfo(java.io.PrintWriter writer)` Print the information to the specified writer.
`void` | `printStackTrace()` Print the trace to the System.err.
`void` | `printStackTrace(java.io.PrintStream stream)` Print the trace to the specified stream.
`void` | `printStackTrace(java.io.PrintWriter writer)` Print the trace to the specified writer.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedUpdateException

    public DistributedUpdateException(javax.management.ObjectName remoteNameArg,
                                      javax.management.MBeanServer remoteMBeanServerArg,
                                      java.lang.Exception exceptionArg)

  Constructor for the DistributedUpdateException object

  Parameters:
    `remoteNameArg` - The name of the object.
    `remoteMBeanServerArg` - The server where that object lives.
    `exceptionArg` - the exception which triggered the failure

Method Detail

### getRemoteName

    public javax.management.ObjectName getRemoteName()

  Return the ObjectName of the Config MBean on which the update failed.

  Returns:
    The remoteName value

### getRemoteMBeanServer

    public javax.management.MBeanServer getRemoteMBeanServer()

  Return the MBeanServer on the Config MBean on which the update failed.

  Returns:
    The remoteMBeanServer value

### printStackTrace

    public void printStackTrace()

  Print the trace to the System.err.

  Overrides:
    printStackTrace in class weblogic.utils.NestedException

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Print the trace to the specified stream.

  Parameters:
    `stream` -
  Overrides:
    printStackTrace in class weblogic.utils.NestedException

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  Print the trace to the specified writer.

  Parameters:
    `writer` -
  Overrides:
    printStackTrace in class weblogic.utils.NestedException

### printExceptionInfo

    public void printExceptionInfo(java.io.PrintWriter writer)

  Print the information to the specified writer.

  Parameters:
    `writer` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD